import { buildInternalCoreContext } from './headless-core-internal-context.js';
import { generateStrictContextFunctions } from './headless-strict-context-factory.js';
export const { createCustomContext: createCaseContext, mixinCustomContext: mixinCaseContext, } = generateStrictContextFunctions((engine) => {
    const { add } = buildInternalCoreContext(engine);
    return {
        setCaseId: (caseId) => add('caseId', caseId),
        setCaseNumber: (caseNumber) => add('caseNumber', caseNumber),
    };
});
